=== debian/changelog ===
logtrend-doc (0.82.2-1) unstable; urgency=low

  * New upstream version.
  * Added SimpleAgent sample code.

 -- Jean-Francois Dive <jef@debian.org>  Tue, 30 Jul 2002 18:30:20 +1000

logtrend-doc (0.81-3) unstable; urgency=low

  * New Maintainer (closes: #134844).
  * Interim release, new upstream version integration is pending on crypto
    integration in main.

 -- Jean-Francois Dive <jef@linuxbe.org>  Wed, 27 Mar 2002 13:37:09 +1100

logtrend-doc (0.81-2) unstable; urgency=low

  * Orphaned becouse I'll no longer use this

 -- Maurizio Boriani <baux@debian.org>  Tue, 19 Feb 2002 13:21:48 +0100

logtrend-doc (0.81-1) unstable; urgency=low

  * Initial Release.

 -- Maurizio Boriani <baux@debian.org>  Tue,  4 Dec 2001 18:05:48 +0100
