=== debian/control ===
Source: logtrend-doc
Section: doc
Priority: optional
Maintainer: Jean-Francois Dive <jef@debian.org>
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.5.2

Package: logtrend-doc
Architecture: any
Description: logtrend docs 
 This packages contains some documents which explain how
 this monitoring system works.
